CREATE FUNCTION "dba"."get_pa_arvest_kuup"( in a_yksusnr integer, in a_lepnr integer, in a_a_akuu numeric(2), in a_a_aasta numeric(4) )
RETURNS INTEGER
BEGIN
  DECLARE ld_kuup date;
  declare li_aasta numeric(4);
  declare li_akuu numeric(2);
  select max(a_aasta) into li_aasta from pa_tasu where yksusnr=a_yksusnr and lepnr=a_lepnr and a_aasta<=a_a_aasta;
  if not (li_aasta is null or li_aasta=0) then
    select max(a_akuu) into li_akuu from pa_tasu where yksusnr=a_yksusnr and lepnr=a_lepnr and a_aasta=li_aasta and a_akuu<=a_a_akuu;
    if not (li_akuu is null or li_akuu=0) then
      set ld_kuup=ymd(li_aasta,li_akuu,1);
    end if;
  end if;
  RETURN ld_kuup;
END